> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /blockscout/api/v1/celestia/blob

` GET /blockscout/api/v1/celestia/blob `

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` height ` (query, optional)

- ` value `: type ` string `; format ` uint64 `

### ` commitment ` (query, optional)

- ` value `: type ` string `

### ` skipData ` (query, optional)

- ` value `: type ` boolean `

## Responses

### ` 200 ` — A successful response.

Content type: ` application/json `

- ` value `: type ` object `

  - ` height `: type ` string `; format ` uint64 `

  - ` namespace `: type ` string `

  - ` commitment `: type ` string `

  - ` timestamp `: type ` string `; format ` uint64 `

  - ` size `: type ` string `; format ` uint64 `

  - ` data `: type ` string `

### ` default ` — An unexpected error response.

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `; format ` int32 `

  - ` message `: type ` string `

  - ` details `: type ` array `

    - ` array item `: type ` object `

      - ` @type `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/api/v1/celestia/blob'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/api/v1/celestia/blob', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/api/v1/celestia/blob')
print(response.json())
```